/*    brack1.h, the center part of the famous LCARS brackets
   The message boxes should be in your main program so they
   can change as required. Cut and paste them from the
   clock/calendar program and change the labels. Specify
   standard LCARS colors (ORANGE, LILAC, PALEBLUE, BRICK,
   NAPLES, SKYBLUE, MANGO, PURPLE).
   Usage example: Brackets1(ORANGE, PALEBLUE);
*/
/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */

#ifndef BRACK1_H
#define BRACK_H


#include "lcars24.h"
#include "lccolor.h"
#include "parts.h"
#include "headline.h"

void Brackets1(int UpperColor, int LowerColor);
void TelescopeBracket(int amount);
void Br1Box(int boxtop, int Color, char *Str1, char *Str2);
void Br1F1Box(int Color, char *Str1, char *Str2);
void Br1F2Box(int Color, char *Str1, char *Str2);
void Br1F3Box(int Color, char *Str1, char *Str2);
void Br1F4Box(int Color, char *Str1, char *Str2);
void Br1F5Box(int Color, char *Str1, char *Str2);
void UpperElbowLabel(int Color, char *Str1, char *Str2);
void LowerElbowLabel(int Color, char *Str1, char *Str2);

#endif

